Security Update – SSL 3.0 (POODLE) Vulnerability

FacebookTwitterGoogle+StumbleUponRedditEmail

Hello FileThis Users,

Today, October 15, 2014, we disabled SSL 3.0 connections on all FileThis servers.You should know that your FileThis information is safe. You do not need to take any action.

You can find more information about the SSL 3 vulnerability, named POODLE, here.

The FileThis Team